vdr wie früher - Ausgabeplugin fehlt

  • Hallo,

    Hat leider nicht geklappt. Die ganze Geschichte im Anhang

    Patches aus Anhang gegen Sources von github anwenden!

    makefile.patch

    softhddevice_ffmpeg3.patch

    Den Patch aus Anhang von "MarkusE" nicht vergessen!

    https://www.vdr-portal.de/inde…thddevice-drawpixel-diff/


    Gruss

    Wolfgang

    The post was edited 1 time, last by wolfi.m ().

  • Also bei "Sources von github" reden wir alle weiter von:

    https://github.com/louisbraun/softhddevice-openglosd


    Hast Du ffmpeg 2.8.15?



    Ja, und damit es auch "gegen" ffmpeg-2.8.15" compiliert führe ich vor meinem make diesen Befehl aus:

    Code
    1. export PKG_CONFIG_PATH="/mnt/Data_bb/sda9/ProjectX/archlinux/vdr/vdr-2.4.1/ffmpeg-2.8.15-bin/lib/pkgconfig"


    Patches aus Anhang gegen Sources von github anwenden!

    Ich bleibe glücklos. Ich denke, gerade der Patch "softhddevice_ffmpeg3.patch" soll ja ermöglichen, das Plugin mit einem aktuellem ffmpeg zu compilieren. Ich habe beides versucht, im Anhang die Outputs.


    compile-output-ffmpeg-aktuell.txt   compile-output-ffmpeg-2.8.15.txt

  • Ich bin auch ein Ryzen5-2400g Nutzer und vdr läuft bei mir ganz gut (1. mit xine-plugin und xine-ui) (2. mit vnsiserver-plugin und kodi)

    Zur Zeit Opensuse 15.0 kernel 5.1.15, opensource-treiber xf86-amdgpu 19.0.1

    der Prozessor kann scheinbar sowohl vdpau als auch vaapi (geht beides auch ohne libva-vdpau und libvdpau-va)


    mir ist in deinem vainfo-output eines aufgefallen, mit dem ich auch Probleme mit vaapi (und auch vdpau habe/hatte):

    >>vainfo: Driver version: Mesa Gallium driver 19.1.2 for AMD RAVEN (DRM 3.32.0, 5.2.1-arch1-1-ARCH, LLVM 8.0.0)


    1. die Mesa 19.1.x (bis Mesa 19.1.3) haben auch noch bugs bzgl. vdpau und vaapi die bei mir (und nicht nur bei mir ) zu crashes in xine-ui führen (einer ist gefixt in 19.1.3)

    NUR !! Mesa 19.0.x ist mit kernel <= 5.1.x stabil bzgl vdpau/vaapi !!


    2. Der kernel 5.2.0 (von opensuse tumbleweed repo) führte bei mir (bei Mesa 19.0.x) zu vdpau/ vaapi crashes - danach hab ich nochmal 5.2.3 oder 5.2.4 (weiss ich nicht mehr genau) probiert, gab auch noch crashes. kernel 5.2.5 hat in den kernel-changelogs einige amdgpu Änderungen, damit ging xine-ui wieder ohne crashes. (habe aber mit 5.2 auch usb-soundcard Problem - deshalb bleibe ich bei 5.1.15)


    !!! kann also sehr gut sein, dass deine Kernelversion 5.2.1 und Mesaversion 19.1.2 einfach noch zu frisch und buggy sind !!!

  • I

    NUR !! Mesa 19.0.x ist mit kernel <= 5.1.x stabil bzgl vdpau/vaapi !!

    Habe mal auf mesa 19.0.6 downgegradet, den Kernel auf 5.2.5, noch kann ich keine Verbesserung feststellen. Versuche nochmal einen anderen Kernel.



    @berndb

    With actual ffmpeg you can try softhddevice from my git, all other with old ffmpeg only.

    This one works without problems so far - using vdpau driver. The only thing I noticed:

    I have no picture (and osd) and no sound, if I start vdr with the plugin in detached mode, after the first run with sofhddevice attached, I can detach or attach the plugin without problems so far.